#include "Nokia6270.h"

Nokia6270::Nokia6270(PhoneBook* pb):Phone(pb){
}

bool Nokia6270::dial(unsigned long no){
     cout << "Calling " << no << "..." << endl;	
   return true;
}

bool Nokia6270::dial(const string &name,const string &type){
     if (phoneBook==0L) return false;
     const PersonalInformation* p= phoneBook->getPersonalInformationByName(name);
     cout << "Calling " << p->getPhoneNumber(type) << "..." << endl;	
     return true;
}

bool Nokia6270::dial(const string &name){
     if (phoneBook==0L) return false;	
     const PersonalInformation* p= phoneBook->getPersonalInformationByName(name);
     cout << "Calling " << p->getPhoneNumber("gsm") << "..." << endl;	
     return true;
}

bool Nokia6270::dial(const string &speedDialKeyword,int speedDialNo){
     if (speedDialKeyword!=string("speed-dial")) return false ;
     if (speedDialNo<1) return false;   
     if (speedDialNo>6) return false;
     if (speedDial[speedDialNo]==0) return false;
     cout << "Calling [using speed-dial] " << speedDial[speedDialNo] << "..." << endl;	
     return true;
}

