#include "Phone.h" 

Phone::Phone(PhoneBook *pb){
   phoneBook=pb;
   for (int i=1;i<=6;i++) speedDial[i]=0;
}

Phone::~Phone(){
}

bool Phone::setPhoneBook(PhoneBook *pb){
    if (!pb) return false;
    phoneBook=pb;
    return true;
}

bool Phone::setSpeedDial(int speedDialNo,const string &name){
     if (speedDialNo<1) return false;
     if (speedDialNo>6) return false;
     if (phoneBook==0L) return false;
     const PersonalInformation* p= phoneBook->getPersonalInformationByName(name);
     speedDial[speedDialNo]= p->getPhoneNumber("gsm");
     return true;
}

bool Phone::setSpeedDial(int speedDialNo,unsigned long number){
     if (speedDialNo<1) return false;
     if (speedDialNo>6) return false;
     speedDial[speedDialNo]= number;
     return true;
}

bool Phone::setSpeedDial(int speedDialNo,const string &name,const string &type){
     if (speedDialNo<1) return false;
     if (speedDialNo>6) return false;
     if (phoneBook==0L) return false;
     const PersonalInformation* p= phoneBook->getPersonalInformationByName(name);
     speedDial[speedDialNo]= p->getPhoneNumber(type);
     return true;
}
