#ifndef __Phone__
#define __Phone__
#include <string>
using std::string;
#include "PhoneBook.h"

class Phone { // abstract class
   protected:
       PhoneBook *phoneBook;
       unsigned long speedDial[7]; 
   public:
       Phone(PhoneBook* =0L);
       virtual ~Phone();
       bool setPhoneBook(PhoneBook*);
       virtual bool setSpeedDial(int,const string &);
       virtual bool setSpeedDial(int,unsigned long);
       virtual bool setSpeedDial(int,const string&,const string&);
       virtual bool dial(unsigned long)=0;
       virtual bool dial(const string&,const string &)=0;
       virtual bool dial(const string&)=0;
       virtual bool dial(const string&,int)=0;
};
#endif
